namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "increased_critical_stage")]
public class IncreasedCriticalStage : Script, IScriptChangeCriticalStage
{
    /// <inheritdoc />
    public void ChangeCriticalStage(IExecutingMove move, IPokemon target, byte hit, ref byte stage)
    {
        // Extreme edge case, should never happen
        if (stage == byte.MaxValue)
            return;
        stage += 1;
    }
}